
ScalES-PPM - Bug #342

autoreconf fails due to missing file m4/ac_fc_module_output_flag.m4

09/25/2017 06:17 PM - Matthew Krupcale

Status: Resolved Start date: 09/25/2017

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0:00 hour

Target version:    

Description

When attempting to run autoreconf on ppm-1.0.4, aclocal fails with error:

aclocal: error: acinclude.m4:52: file 'm4/ac_fc_module_output_flag.m4' does not exist

Indeed, the file does not appear to be in the m4 directory shipped with ScalES-PPM v1.0.4.

Furthermore, acinclude.m4 attempts to include this file only if the autoconf version is less than 2.70 (which does not yet exist), but

AC_FC_MODULE_OUTPUT_FLAG was introduced in version 2.69 (specifically commit

ac427166c5945445e307c82d44301da9480f017a).

The attached patch fixes these two issues.

History

#1 - 10/14/2017 05:29 PM - Matthew Krupcale

- File scales-ppm-1.0.5-ac_fc_module_output_flag.patch added

The latest release of 1.0.5 fixes the first issue noted regarding the absence of the file m4/ac_fc_module_output_flag.m4, but this file only should be

needed if the detected autoreconf version is less than 2.69, not 2.70.

The attached patch is updated for the latest release 1.0.5 to fix this issue.

#2 - 08/05/2020 09:55 AM - Thomas Jahns

- Status changed from New to Resolved

- % Done changed from 0 to 100

The test remains for 2.70 because the version distributed with ppm also knows about -mdir which is not tested in 2.69.

Files

scales-ppm-ac_fc_module_output_flag.patch 2.88 KB 09/25/2017 Matthew Krupcale

scales-ppm-1.0.5-ac_fc_module_output_flag.patch 548 Bytes 10/14/2017 Matthew Krupcale
